net.sourceforge.pmd.cpd

## Class SourceCode.StringCodeLoader

- java.lang.Object
- - net.sourceforge.pmd.cpd.SourceCode.CodeLoader
  - - net.sourceforge.pmd.cpd.SourceCode.StringCodeLoader

Enclosing class:
  SourceCode

    public static class SourceCode.StringCodeLoader
    extends SourceCode.CodeLoader

### Field Summary

Fields
`static String` `DEFAULT_NAME`

### Constructor Summary

Constructors
Constructor and Description
`SourceCode.StringCodeLoader(String code)`
`SourceCode.StringCodeLoader(String code, String name)`

### Method Summary

Methods
`String` `getFileName()`
`Reader` `getReader()`

### Methods inherited from class net.sourceforge.pmd.cpd.SourceCode.CodeLoader

`getCode, load`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_NAME

    public static final String DEFAULT_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### SourceCode.StringCodeLoader

    public SourceCode.StringCodeLoader(String code)

#### SourceCode.StringCodeLoader

    public SourceCode.StringCodeLoader(String code,
                               String name)

### Method Detail

#### getReader

    public Reader getReader()

Specified by:
  `getReader` in class `SourceCode.CodeLoader`

#### getFileName

    public String getFileName()

Specified by:
  `getFileName` in class `SourceCode.CodeLoader`